!************************************************************
!CÁLCULO DA ÁREA DO FOGUETE EM CONTATO COM ESCOAMENTO LAMINAR
!************************************************************
    
SUBROUTINE arealam (Pi, Na, Dna, Lna, Lnt, Swetna, Swetl, Dc)

INTEGER Na

REAL*8 Pi, Dnal, Dna, Lnt, Lna, k, ex, Swetl, pv, Swetna, Dc 

SELECT CASE (Na)

!NARIZ EM FORMA DE ELPSOIDE
    
CASE(1)
	
	!Dnal = Dna*dsqrt(1d0-(1-Lnt/Lna)**2d0)																!Diâmetro do elpsoide na região de transição (ft)
	!ex = dsqrt(1d0 - (Dnal/2d0)**2d0/Lnt**2d0)
	!Swetl = 4d0*Pi*(Lnt**2d0+(Dnal**2d0*datanh(ex)/ex)) 
 !   Swetl = 0
    IF (Lnt<Lna) THEN
        
	    Swetl = Swetna*(Lnt/Lna)
        
    ELSE
        
        Swetl = Swetna + Dc*Pi*(Lnt-Lna)
        
    END IF

!NARIZ EM FORMA DE OGIVA   
    
CASE(2)
	
	!k = 1d0																								!Ogiva tangente ao tubo-foguete
	!pv = (Lna**2+(Dna/2d0)**2d0)*(((2d0-k*1d0)*Lna)**2d0+(k*(Dna/2d0))**2d0)/(4d0*(k*(Dna/2d0))**2d0)	!raio de curvatura de um nariz em forma de ogiva (ft)
	!Dnal = 2d0*(dsqrt(pv-(Lna/k-Lnt)**2d0)-dsqrt(pv-(Lna/k)**2d0)) 										!Diâmetro da ogiva na região de transição (ft)
	!Swetl = Pi*((Lnt**2d0+(Dnal/2d0)**2d0)/(Dnal/2d0))*(((Dnal/2d0)**2d0-Lnt**2d0)*dasin(2d0*(Dnal/2d0)*Lnt/(Lnt**2d0+(Dnal/2d0)**2d0))/(2d0*(Dnal/2d0))+Lnt)
	!Swetl = Swetl*144d0
!Swetl = 0    
    IF (Lnt<Lna) THEN
        
	    Swetl = Swetna*(Lnt/Lna)
        
    ELSE
        
        Swetl = Swetna + Dc*Pi*(Lnt-Lna)
               
    END IF

!NARIZ CÔNICO
    
CASE(3)
!    Swetl = 0
    IF (Lnt<Lna) THEN
        
	    Swetl = Swetna*(Lnt/Lna)
        
    ELSE
        
        Swetl = Swetna + Dc*Pi*(Lnt-Lna)
               
    END IF
    
!NARIZ PARABOLÓIDE    
    
CASE(4)
!    Swetl = 0
    IF (Lnt<Lna) THEN
        
	    Swetl = Swetna*(Lnt/Lna)
        
    ELSE
        
        Swetl = Swetna + Dc*Pi*(Lnt-Lna)
               
    END IF
    
END SELECT

END SUBROUTINE arealam